MobiariDocs
Storefront APIEngagement

List a product's reviews

GET
/storefront-api/{store_slug}/api/products/{product_ref}/reviews

Approved reviews, newest first, with the rating summary. The product is addressed by slug or id.

Path Parameters

store_slug*string

Store slug

product_ref*string

Product slug or id

Query Parameters

limit?integer

1 to 100; defaults to 20.

Formatint64
offset?integer
Formatint64

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/storefront-api/string/api/products/string/reviews"
{
  "items": [
    {
      "author_name": "string",
      "body": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "is_verified_purchase": true,
      "rating": 0,
      "title": "string"
    }
  ],
  "summary": {
    "average": 0.1,
    "count_1": 0,
    "count_2": 0,
    "count_3": 0,
    "count_4": 0,
    "count_5": 0,
    "total": 0
  },
  "total": 0
}
{
  "code": "not_found",
  "details": {},
  "error": "Order not found"
}
{
  "code": "not_found",
  "details": {},
  "error": "Order not found"
}
{
  "code": "not_found",
  "details": {},
  "error": "Order not found"
}